crashpad::test::MinidumpWritableTraits< T > Struct Template Reference

A traits class defining whether a minidump object type is required to appear only as a fixed-size object or if it is variable-sized. More...

`#include "minidump/test/minidump_writable_test_util.h"`

## Static Public Attributes

static const bool | kAllowOversizedData = false
| `true` if T should be treated as a variable-sized data type, where its base size is used solely as a minimum bound. `false` if T is a fixed-sized type, which should only appear at its base size.

## Detailed Description

### template<typename T>
struct crashpad::test::MinidumpWritableTraits< T >

A traits class defining whether a minidump object type is required to appear only as a fixed-size object or if it is variable-sized.

Variable-sized data is data referenced by a MINIDUMP_LOCATION_DESCRIPTOR whose DataSize field may be larger than the size of the basic object type’s structure. This can happen for types that appear only as variable-sized lists, or types whose final fields are variable-sized lists or other variable-sized data.

The documentation for this struct was generated from the following file:

- minidump/test/minidump_writable_test_util.h